import os

#config_directory = os.environ['HOME'] + '/Projects/Euclid/config/'
configuration_directory = os.environ['HOME'] + '/IWSops_configurations'

config_yaml_file = configuration_directory + '/config.yaml'

###config_directory = os.environ['EUCLID_IWS_CONFIG']
config_directory      = './config'

chooser_directory     = config_directory + '/chooser/'
#defaults_directory    = config_directory + '/defaults/'
defaults_directory    = configuration_directory + '/configurations/'
windows_directory     = config_directory + '/windows/'
plots_directory       = config_directory + '/plots/'
#multi_plots_directory = config_directory + '/multi_plots/'
multi_plots_directory = configuration_directory + '/multi_plots/'
lister_directory      = config_directory + '/lister/'

default_config     = defaults_directory + 'system_defaults.json'

# Default configuration if no selection made at startup
config = "system_defaults.json"

config_file = config_directory + "/configs.json"
ini_file = config_directory + "/config.ini"

chooser_cdpu_parameters = chooser_directory + '/cdpu.txt'
chooser_obsg_parameters = chooser_directory + '/obs-g.txt'
chooser_pmcu_parameters = chooser_directory + '/pmcu.txt'
chooser_roe_parameters  = chooser_directory + '/roe.txt'
chooser_rpsu_parameters = chooser_directory + '/rpsu.txt'

roe_fpga_parameters      = config_directory + '/roe_fpga.txt'
roe_bias_comm_parameters = config_directory + '/roe_bias_comm.txt'
roe_ccd_clk_parameters   = config_directory + '/roe_ccd_clk.txt'
roe_mon_parameters       = config_directory + '/roe_mon.txt'
roe_temp_parameters      = config_directory + '/roe_temp.txt'
roe_dig_ana_parameters   = config_directory + '/roe_dig_ana.txt'
rpsu_dig_parameters      = config_directory + '/rpsu_dig.txt'

rt_fast_parameter_file      = config_directory + '/rt_fast.txt'
rt_slow_parameter_file      = config_directory + '/rt_slow.txt'
rt_superfast_parameter_file = config_directory + '/rt_superfast.txt'
st_slow_parameter_file      = config_directory + '/st_slow.txt'
st_superfast_parameter_file = config_directory + '/st_superfast.txt'

#STATUS_OK = 0
#STATUS_WARN = 1
#STATUS_OOL = 2
STATUS_OK = 'ok'
STATUS_WARN = 'warn'
STATUS_OOL = 'ool'

TEXT_FIELD_MINIMUM_SIZE = 450

alter = False
TM_MIB_ID_INDEX  = 1
TM_RAW_VAL_INDEX = 2
TM_ENG_VAL_INDEX = 3
TM_STATUS_INDEX  = 4

# hk packet sids
rt_slow = 2
st_slow = 3
rt_fast = 4
rt_superfast = 5
st_superfast = 6

#catalog_directory = config_directory + '/Users/mcrw/HKTM_monitor/catalog/'
catalog_directory = config_directory + '/catalog/'

n_displays = 5

style_sheet = \
              "QLabel[stat=warn] {background-color: yellow; color: black;} " +  \
              "QLabel[stat=ok] {background-color: green; color: white;} " + \
              "QLabel[stat=ool] {background-color: red; color: black}"

alt_style_sheet = \
                  "QLabel[stat=warn] {color: yellow;} " +  \
                  "QLabel[stat=ok] {color: green;} " + \
                  "QLabel[stat=ool] {color: red}"
