from PyQt5 import QtGui, QtWidgets

class TabBar(QtWidgets.QTabBar):

#    def __init__(self):
#        super(TabBar, self).__init__()

    global_index = 0
    global_colour = ''

    def paintEvent(self, event):
        print(f"PAINT event = {event}")
        style = self.style()
        painter = QtGui.QStylePainter(self)
        option = QtWidgets.QStyleOptionTab()
        for index in range(self.count()):
            self.initStyleOption(option, global_index)
            #bgcolor = QtGui.QColor(self.tabText(index))
            bgcolor = QtGui.QColor(global_colour)
            option.palette.setColor(QtGui.QPalette.Window, bgcolor)
            option.palette.setColor(QtGui.QPalette.Button, bgcolor)
            painter.drawControl(QtWidgets.QStyle.CE_TabBarTab, option)


    def setTabBackgroundColour(self, index, colour_string):
        global_index = index
        global_colour = colour_string
        self.update()
        """
        style = self.style()
        painter = QtGui.QStylePainter(self)
        option = QtWidgets.QStyleOptionTab()
        for index in range(self.count()):
            self.initStyleOption(option, index)
            #bgcolor = QtGui.QColor(self.tabText(index))
            bgcolor = QtGui.QColor(colour_string)
            option.palette.setColor(QtGui.QPalette.Window, bgcolor)
            option.palette.setColor(QtGui.QPalette.Button, bgcolor)
            painter.drawControl(QtWidgets.QStyle.CE_TabBarTab, option)
        """
